Bug 2932 - [UPDATE REQUEST] [UPSTREAM UPDATE] libvirt-cim
: [UPDATE REQUEST] [UPSTREAM UPDATE] libvirt-cim
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-18 14:58 MSD by Andrew Lukoshko
Modified: 2013-10-29 18:14 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2013-10-18 14:58:32 MSD
* Virtual Machines managed by a libvirt-cim broker were not aware of the
"dumpCore" flag in the "memory" section nor was there support for the
"shareable" property for "disk" devices. Thus those properties were dropped from
the Virtual Machine XML configuration when the configuration was updated by the
broker. As a consequence, customers expecting or setting these properties on
their Virtual Machines had to adjust the configurations in order to reset them.
With this update, a patch has been added to libvirt-cim and it is now aware of
these properties so that any changes made to the Virtual Machine XML
configuration will not be lost by the broker when it writes the configuration.
As a result, Virtual Machines managed by the libvirt-cim broker will recognize
the "dumpCore" tag in the "memory" section and/or the "shareable" tag on a
"disk" device and not remove either when updating the Virtual Machine XML
configuration.

http://rhn.redhat.com/errata/RHBA-2013-1291.html

https://abf.rosalinux.ru/build_lists/1337124
https://abf.rosalinux.ru/build_lists/1337125
Comment 1 Vladimir Potapov 2013-10-25 14:24:45 MSD
libvirt-cim-0.6.1-4.res6.2
***************** RHEL Advisory ********************
Virtual Machines managed by a libvirt-cim broker were not aware of the
"dumpCore" flag in the "memory" section nor was there support for the
"shareable" property for "disk" devices. Thus those properties were dropped from
the Virtual Machine XML configuration when the configuration was updated by the
broker. As a consequence, customers expecting or setting these properties on
their Virtual Machines had to adjust the configurations in order to reset them.
With this update, a patch has been added to libvirt-cim and it is now aware of
these properties so that any changes made to the Virtual Machine XML
configuration will not be lost by the broker when it writes the configuration.
As a result, Virtual Machines managed by the libvirt-cim broker will recognize
the "dumpCore" tag in the "memory" section and/or the "shareable" tag on a
"disk" device and not remove either when updating the Virtual Machine XML
configuration.
***************************************************
QA Verified